Create Opportunity

http
POST https://services.leadconnectorhq.com/opportunities/

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
pipelineIdstringYesVDm7RPYC2GLUvdpKmBfCpipeline Id
locationIdstringYesve9EPM428h8vShlRW1KT
namestringYesFirst Opps
pipelineStageIdstringNo7915dedc-8f18-44d5-8bc3-77c04e994a10
statusstringYesPossible values: 'open', 'won', 'lost', 'abandoned', 'all'
contactIdstringYesmTkSCb1UBjb5tk4OvB69
monetaryValuenumberNo220
assignedTostringNo082goXVW3lIExEQPOnd3
customFieldsobject[]NoAdd custom fields to opportunities.

Responses

201 - Successful response
  • opportunity (object)

    • id (string): Example: yWQobCRIhRguQtD2llvk

    • name (string): Example: testing

    • monetaryValue (number): Example: 500

    • pipelineId (string): Example: VDm7RPYC2GLUvdpKmBfC

    • pipelineStageId (string): Example: e93ba61a-53b3-45e7-985a-c7732dbcdb69

    • assignedTo (string): Example: zT46WSCPbudrq4zhWMk6

    • status (string): Example: open

    • source (string)

    • lastStatusChangeAt (string): Example: 2021-08-03T04:55:17.355Z

    • lastStageChangeAt (string): Example: 2021-08-03T04:55:17.355Z

    • lastActionDate (string): Example: 2021-08-03T04:55:17.355Z

    • indexVersion (string): Example: 1

    • createdAt (string): Example: 2021-08-03T04:55:17.355Z

    • updatedAt (string): Example: 2021-08-03T04:55:17.355Z

    • contactId (string): Example: zT46WSCPbudrq4zhWMk6

    • locationId (string): Example: zT46WSCPbudrq4zhW

    • contact (object)

      • id (string): Example: byMEV0NQinDhq8ZfiOi2

      • name (string): Example: John Deo

      • companyName (string): Example: Tesla Inc

      • email (string): Example: john@deo.com

      • phone (string): Example: +1202-555-0107

      • tags (string[])

    • notes (array[])

    • tasks (array[])

    • calendarEvents (array[])

    • lostReasonId (string): Example: zT46WSCPbudrq4zhWMk6

    • customFields (object[])

      • id (string, required): Example: MgobCB14YMVKuE4Ka8p1

      • fieldValue (object, required): The value of the custom field

    • followers (array[])

    • externalObjectId (string)

json
{
  "opportunity": {
    "id": "yWQobCRIhRguQtD2llvk",
    "name": "testing",
    "monetaryValue": 500,
    "pipelineId": "VDm7RPYC2GLUvdpKmBfC",
    "pipelineStageId": "e93ba61a-53b3-45e7-985a-c7732dbcdb69",
    "assignedTo": "zT46WSCPbudrq4zhWMk6",
    "status": "open",
    "source": "",
    "lastStatusChangeAt": "2021-08-03T04:55:17.355Z",
    "lastStageChangeAt": "2021-08-03T04:55:17.355Z",
    "lastActionDate": "2021-08-03T04:55:17.355Z",
    "indexVersion": 1,
    "createdAt": "2021-08-03T04:55:17.355Z",
    "updatedAt": "2021-08-03T04:55:17.355Z",
    "contactId": "zT46WSCPbudrq4zhWMk6",
    "locationId": "zT46WSCPbudrq4zhW",
    "contact": {
      "id": "byMEV0NQinDhq8ZfiOi2",
      "name": "John Deo",
      "companyName": "Tesla Inc",
      "email": "john@deo.com",
      "phone": "+1202-555-0107",
      "tags": [
        "string"
      ]
    },
    "notes": [
      []
    ],
    "tasks": [
      []
    ],
    "calendarEvents": [
      []
    ],
    "lostReasonId": "zT46WSCPbudrq4zhWMk6",
    "customFields": [
  // truncado: 10 lineas mas
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/opportunities/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "pipelineId": "VDm7RPYC2GLUvdpKmBfC",
  "locationId": "ve9EPM428h8vShlRW1KT",
  "name": "First Opps",
  "pipelineStageId": "7915dedc-8f18-44d5-8bc3-77c04e994a10",
  "status": "open",
  "contactId": "mTkSCb1UBjb5tk4OvB69",
  "monetaryValue": 220,
  "assignedTo": "082goXVW3lIExEQPOnd3",
  "customFields": []
}'

Last updated October 26, 2026

Was this page helpful?